<?php
$must_login             = true ;
$require_path           = '../../../' ;
$require_sub            = '../../' ;
require( $require_sub.'header.php' ) ;

if ( $boolean_login ){
    $status             = '300' ;

    $task_id            = $array['task_id'] ;

    if ( $task_id      != '' ){
        $status         = '201' ;

        $select = $mysqli->query( "SELECT * FROM task a
                                   WHERE a.deleted_at IS NULL AND a.task_id = '".$task_id."' AND ( a.created_by = '".$staff_info['staff_id']."' OR a.assigned_by = '".$staff_info['staff_id']."' OR EXISTS ( SELECT b.staff_id FROM task_joinstaff b WHERE a.task_id = b.task_id AND b.staff_id = '".$staff_info['staff_id']."' LIMIT 1 ) ) AND a.status IN ( 'completed' ) LIMIT 1" ) ;
        if ( $select->num_rows > 0 ){
            $status     = '212' ;

            $row        = $select->fetch_assoc() ;

            if ( $mysqli->query( "UPDATE task SET
                                  status          = 'confirmed',
                                  confirmed_at    = '".TODAYDATE."'
                                  WHERE task_id   = '".$task_id."'" ) ) {
                $status = '200' ;

                // push to notification
                $related_staffid = getTaskRelatedStaff( $task_id, $row['created_by'], $row['assigned_by'] ) ;
                foreach ( $related_staffid as $k => $v ){
                    pushToUserCron( 'task', $task_id, $v, 'Task Confirmed', 'Task ( '.$row['task_so'].' ) has been confirmed' ) ;
                }
            }

        }
    }
}

require( $require_sub.'footer.php' ) ;
?>